<?php

namespace App\Http\Controllers;

use App\Models\Empresa;
use App\Models\Producto;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Storage;

class EmpresaController extends Controller
{
    public function subirCatalogo(Request $request){
        $empresa = Empresa::find(1);
        // dd($empresa);
        if ($request->hasFile('lista')){
            $empresa->catalogo = $request->file('lista')->store('public/empresa');
            $empresa->nombre_catalogo = $request->file('lista')->getClientOriginalName();
        }
        $empresa->save();
        $productos = Producto::orderBy('orden', 'asc')->get();
        return redirect()->route('indexProductos')->with('productos', $productos);
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $empresa = Empresa::find(1);
        return view('adm.empresa.index')->with('empresa', $empresa);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('adm.empresa.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Empresa  $empresa
     * @return \Illuminate\Http\Response
     */
    public function show(Empresa $empresa)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Empresa  $empresa
     * @return \Illuminate\Http\Response
     */
    public function edit()
    {
        $empresa = Empresa::find(1);
        return view('adm.empresa.edit')->with('empresa', $empresa);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Empresa  $empresa
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $empresa = Empresa::find(1);
        $empresa->descripcion = strip_tags($request->descripcion, "<sup><sub><p><b><br>");
        $empresa->descripciondos = strip_tags($request->descripciondos, "<sup><sub><p><b><br>");
        if ($request->hasFile('foto'))
        {
            Storage::delete($empresa->foto);
            $path = $request->file('foto')->store('public/empresa');
        }else{
            $path = $empresa->foto;
        }
        $empresa->foto = $path;

        if ($request->hasFile('fotodos'))
        {
            Storage::delete($empresa->fotodos);
            $path = $request->file('fotodos')->store('public/empresa');
        }else{
            $path = $empresa->fotodos;
        }
        $empresa->fotodos = $path;

        if ($request->hasFile('icono'))
        {
            Storage::delete($empresa->icono);
            $path = $request->file('icono')->store('public/empresa');
        }else{
            $path = $empresa->icono;
        }
        $empresa->icono = $path;

        if ($request->hasFile('iconodos'))
        {
            Storage::delete($empresa->iconodos);
            $path = $request->file('iconodos')->store('public/empresa');
        }else{
            $path = $empresa->iconodos;
        }
        $empresa->iconodos = $path;

        if ($request->hasFile('iconotres'))
        {
            Storage::delete($empresa->iconotres);
            $path = $request->file('iconotres')->store('public/empresa');
        }else{
            $path = $empresa->iconotres;
        }
        $empresa->iconotres = $path;

        $empresa->texto = strip_tags($request->texto, "<sup><sub><p><b><br>");
        $empresa->textodos = strip_tags($request->textodos, "<sup><sub><p><b><br>");
        $empresa->textotres = strip_tags($request->textotres, "<sup><sub><p><b><br>");


        $empresa->save();
        $empresa = Empresa::find(1);
        return redirect()->route('editarEmpresa')->with('empresa', $empresa);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Empresa  $empresa
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
